# Copyright (c) 2023 Hiroyuki Okada
# This software is released under the MIT License.
# http://opensource.org/licenses/mit-license.php
version: "3.7"
services:
  dev-nao:
    container_name: dev-nao
    image: okdhryk/nao:noetic
    build:
      context: .
      args:
      # ${VARIABLE} are defined in .env
        - USER_NAME=${USER_NAME}
        - GROUP_NAME=${GROUP_NAME}
        - UID=${UID}
        - GID=${GID}
        - PASSWORD=${PASSWORD}
        - WORKSPACE_DIR=${WORKSPACE_DIR}
      network: host
    security_opt:
    - seccomp:unconfined
    deploy:
      resources:
        reservations:
          devices:
            - driver: nvidia
              capabilities:      
                - gpu
#                - utility # nvidia-smi
#                - compute # CUDA
#                - video   # NVDEC/NVENC/NVCUVID. For instance to use a hardware accelerated ffmpeg. Skip it if you don't need itk

   
    environment:
      - DISPLAY=${DISPLAY}
      - NO_AT_BRIDGE=1
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
      - /etc/passwd:/etc/passwd:ro
      - /etc/group:/etc/group:ro      
      - /tmp/.X11-unix:/tmp/.X11-unix
      - ~/.Xauthority:/home/${USER_NAME}/.Xauthority
      - ${WORKSPACE_DIR}:${WORKSPACE_DIR}

    devices:
      - /dev/dri:/dev/dri

    ipc: host
    network_mode: host
    user: "${UID}:${GID}"
    tty: true
    stdin_open: true

 




